#ifndef CAISSE_H_INCLUDED
#define CAISSE_H_INCLUDED

// Includes
#include <iostream>
#include "Cube.h"
#include "Texture.h"

// Classe Caisse
class Caisse : public Cube
{
    public:

        Caisse(float taille, std::string const vertexShader, std::string const fragmentShader, std::string fichierImage);
        ~Caisse();
        void afficher(glm::mat4 &projection, glm::mat4 &modelview);

    private:

        Texture m_texture;
        float m_coordTexture[72];

};

#endif // CAISSE_H_INCLUDED
